package model;

/**
 * All user preferences are to be serialised in this class
 */
public class Session {

    private String userCode;//this is like fwy13
    DataManager dataManager;
    public static Session session = new Session();

    public Session(){
        session = this;
        dataManager = new DataManager();
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public DataManager getDataManager() {
        return dataManager;
    }

    public void setDataManager(DataManager dataManager) {
        this.dataManager = dataManager;
    }
}
